@import url('https://fonts.cdnfonts.com/css/akira-expanded');

body {
  background-color: rgb(0, 0, 0);
  margin: 0;
  width: 100vw;
  overflow-x: hidden;
}

#page0 {
  position: relative;
  width: 100vw;
  height: 141vw;
  z-index: 100;
  overflow: hidden;
}


/* Header css ------------------------------------------------------------------------------------------ */
#header {
  height: 3.7%;
  width: 100%;
  position: absolute;
  z-index: 101;
}
#headerTextContainer {
  position: absolute;
  width: 38%;
  height: 25%;
  top: 30%;
  left: 55%;
  display: flex;
  gap: 9%;
}
.headerText {
  position: relative;
  color: #ffffffe3;
  font-family: 'Akira Expanded', sans-serif;
  text-shadow: 0px 0px 2vw rgba(255, 255, 255, 0.479);
  letter-spacing: 2px;
  text-align: center;
  top: 36%;
  user-select: none;
  transition: all 0.4s ease-out;
  cursor: pointer;
}
#headerResumeText {
  font-size: 1.1vw;
}
#headerArchiveText {
  font-size: 1.1vw;
}
#headerContactText {
  font-size: 1.1vw;
}

.headerText:hover {
  text-shadow: 0px 0px 3vw rgb(255, 255, 255), 0px 0px 1vw rgba(255, 255, 255, 0.541);
  transition: all 0.26s ease-out;
}

.underlineElements {
  position: absolute;
  background-color: white;
  width: 0%;
  left: 100%;
  top: 110%;
  height: 8%;
  user-select: none;
  pointer-events: none;
  transition: all 0.5s cubic-bezier(.26,.69,.29,1);
}
.headerText:hover > .underlineElements {
  left: 0%;
  width: 100%;
  transition: width 0.5s cubic-bezier(.26,.69,.29,1);
}

/* Home page CSS ------------------------------------------------------------------------------------------ */

#homePage {
  position: absolute;
  height: 100%;
  width: 100%;
  z-index: 100;
}

#homeBanner {
  position: absolute;
  z-index: -20;
  width: 100%;
  height: 34%;
}

#homeBackgroundImg0 { /* Main structure/image for homepage */
  position: absolute;
  width: 99.5vw;
  height: auto;
  top: 0%;
  z-index: 0;
  user-select: none;
  pointer-events: none;
}
#homeBackgroundImg1 { /* This is the grid behind the skill cards (on home page) */
  position: absolute;
  z-index: -5;
  width: 99.5vw;
  height: auto;
  top: 0%;
  user-select: none;
  pointer-events: none;
}
#homeBackgroundImg2 { /* This is the grid behind the rotating blob (on the home page header element) */
  position: absolute;
  z-index: -15;
  width: 70vw;
  left: 20%;
  height: auto;
  top: -15%;
  user-select: none;
  pointer-events: none;
}
#homeOverlay0 {
  position: absolute;
  width: 99.5vw;
  height: auto;
  top: 0%;
  opacity: 0.35;
  mix-blend-mode: exclusion;
  z-index: 500;
  user-select: none;
  pointer-events: none;
  transform: scaleY(-1);
}
#homeOverlay1 {
  position: absolute;
  width: 99.5vw;
  height: 100%;
  top: 0%;
  opacity: 0.2;
  mix-blend-mode: screen;
  z-index: 500;
  user-select: none;
  pointer-events: none;
}



/* Blob foreground text (home alt text) */
#homeAltTextContainer {
  position: absolute;
  width: 31%;
  height: 3%;
  top: 12.6%;
  left: 34.5%;
  z-index: 10;
}
#homeAltText {
  position: absolute;
  color: #ffffff;
  font-family: 'Akira Expanded', sans-serif;
  letter-spacing: 2px;
  font-size: 1.2vw;
  text-shadow: 0px 0px 1vw black, 0px 0px 0.6vw black;
  text-align: center;
  user-select: none;
  pointer-events: none;
}


/* Blob background effect (home banner background) */
#homeBlobContainer {
  position: absolute;
  width: 100vw;
  height: 50vw;
  top: -3vw;
  z-index: -10;
  margin: 0;
  overflow: hidden;
  cursor: pointer;
  transform: translate(0);
  will-change: transform;
}
#animate{
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}


/* CSS for the skills cards  ------------------------------------------------------------------------------------ */

#skillsCardContainer {
  position: absolute;
  width: 69.3%;
  height: 10%;
  top: 35.4%;
  left: 16.2%;
  z-index: -2;
  display: flex;
  gap: 3%;
}

.tiltElement {
  transform: perspective(800px);
  transform-style: preserve-3d;
}

.tiltContainer {
  position: relative;
  width: 20%;
  height: 50%;
  top: 0%;
  border-radius: 0.4vw;
}
.skillsCardBackground {
  position: absolute;
  width: 93%;
  height: 89%;
  background-color: rgb(0, 0, 0);
  z-index: 2;
  top: 5.05%;
  left: 3.33%;
  border-radius: 0.4vw;
  box-shadow: 0px 0px 0vw rgb(0, 0, 0);
  transition: all 0.35s cubic-bezier(.11,.41,.27,1);
  transform: translateZ(2.3vw) scale(0.94);
}
.skillsTopContainer {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0%;
  transition: all 0.4s cubic-bezier(.11,.41,.27,1);
  transform: translateZ(1.5vw) scale(0.95);
}
.skillsCardBackground1 { /* white background behind main background */
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
  opacity: 1;
  margin: auto;
  border-radius: 0.4vw;
  background-color: rgb(255, 255, 255);
  box-shadow: 0px 0px 1vw 0.8vw rgb(0, 0, 0);
  transition: all 1s cubic-bezier(0,.99,.22,1);
}
.skillsMainText {
  position: absolute;
  color: #ffffff;
  font-family: 'Akira Expanded', sans-serif;
  letter-spacing: 2px;
  font-size: 0.75vw;
  width: 100%;
  text-align: center;
  top: 20%;
  z-index: 4;
  user-select: none;
  text-shadow: 0px 0px 1vw rgba(224, 224, 224, 0.384);
  transform: translateZ(0.7vw);
  transition: all 0.5s ease-out;
}
.skillsAltText {
  position: absolute;
  color: rgb(41, 41, 41);
  font-family: 'Montserrat', sans-serif;
  font-size: 0.8vw;
  width: 90%;
  left: 5%;
  text-align: center;
  top: 45%;
  user-select: none;
  opacity: 0;
  transition: all 0.3s ease-out;
}
.skillIconBackground {
  position: absolute;
  z-index: 1;
  width: 80%;
  height: 1%;
  left: 10%;
  top: 90%;
  transition: all 0.35s cubic-bezier(.11,.41,.27,1);
}
.skillIcon {
  position: absolute;
  width: 30%;
  height: auto;
  left: 35%;
  top: 37%;
  z-index: 3;
}
.cardPreview {
  position: absolute;
  width: 100%;
  height: 230%;
  z-index: -1;
  opacity: 1;
  margin: auto;
  border-radius: 0.4vw;
  background-color: rgba(255, 255, 255, 0.116);
  box-shadow: 0px 0px 0.6vw 0.6vw rgb(0, 0, 0);
  transition: all 1s cubic-bezier(.17,.72,.45,1);
}

.cardPreviewText {
  position: absolute;
  text-align: center;
  width: 100%;
  top: 60%;
  color: rgba(255, 255, 255, 0.753);
  text-shadow: 0px 0px 2vw white, 0px 0px 1vw rgba(255, 255, 255, 0.849), 0px 0px 3.5vw rgba(255, 255, 255, 0.623);
  font-family: 'Montserrat', sans-serif;
  font-size: 100%;
}


/* Card hover effects */
.tiltContainer:hover {
  height: 118%;
  z-index: 10;
}
.tiltContainer:hover > .cardPreview {
  height: 80%;
  box-shadow: 0px 0px 1vw 1vw rgba(0, 0, 0, 0);
  transition: all 1.1s cubic-bezier(0,.99,.22,1);
}
.tiltContainer:hover > .skillsCardBackground {
  height: 30%;
  box-shadow: 0px 0px 0.4vw rgb(0, 0, 0) ;
  transition: all 1s cubic-bezier(0,.99,.22,1);
}
.tiltContainer:hover > .skillsCardBackground1 {
  box-shadow: 0px 0px 2.5vw 0.5vw rgba(255, 255, 255, 0.705);
  transition: all 0.1s ease-out;
}
.tiltContainer:hover > .skillsCardBackground1 > .skillsAltText {
  opacity: 1;
  transition: all 0.3s ease-out;
}
.tiltContainer:hover > .skillsCardBackground > .skillIconBackground {
  height: 150%;
  transition: all 0.7s cubic-bezier(.14,.54,.38,1);
}
.tiltContainer:hover > .skillsCardBackground > .skillsTopContainer {
  top: 10%;
  transition: all 1s cubic-bezier(0,.99,.22,1);
}



/* Award gallery CSS ------------------------------------------------------------------------------------------------------------------------------------------ */

#awardsContainer {
  position: absolute;
  width: 47.65%;
  height: 14%;
  left: 13.55%;
  top: 51.6%;
  z-index: -5;
  background-color: rgb(39, 39, 39);
}
#awardButtonContainer {
  position: absolute;
  width: 48%;
  left: 2%;
  height: 73%;
  top: 13.6%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 7%;
  z-index: 5;
}
.awardButton {
  cursor: pointer;
  position: relative;
  width: 80%;
  height: 20%;
  left: 0%;
  background-color: black;
  border-style: solid;
  border-width: 0.3vw;
  border-color: white;
  border-radius: 0.6vw;
  transition: all 0.45s cubic-bezier(.07,.78,.39,1);
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0px 0px 1vw 0.3vw black;
}
.awardButtonArrow {
  position: absolute;
  width: 7%;
  height: 60%;
  left: 80%;
  clip-path: polygon(100% 50%, 54% 93.3%, 22% 93.3%, 68.3% 50%, 22% 6.7%, 54% 6.7%);
  background-color: #ffffff;
  opacity: 0;
  transition: all 0.4s cubic-bezier(.07,.78,.57,1);
  mix-blend-mode: exclusion;
}
.awardButtonText {
  position: absolute;
  left: 20%;
  font-family: 'Montserrat', sans-serif;
  font-size: 0.8vw;
  color: white;
  mix-blend-mode: exclusion;
}
#awardCardContainer {
  box-shadow: 0px 0px 1.6vw 0.6vw black;
  position: absolute;
  width: 50%;
  height: 100%;
  left: 50%;
  top: -3%;
  z-index: 0;

  background-size:cover;
  background-color: black;
  border-style: solid;
  border-width: 0.3vw;
  border-color: white;
  border-radius: 0.6vw;
}
#backgroundGrid {
  position: absolute;
  width: 100%;
  height: 100%;
}
.awardContainer {
  position: absolute;
  width: 50%;
  height: 70%;
  top: 15%;
  left: 27%;
  border-style: solid;
  border-width: 0.3vw;
  border-color: white;
  border-radius: 0.8vw;
  outline: 0.35vw solid rgb(0, 0, 0);
  outline-offset: 0.1vw;
  display: flex;
  justify-content: center;
  background-color: white;
  box-shadow: 0px 0px 1.5vw 1.3vw rgb(0, 0, 0);
  transition: box-shadow 0.6s ease-out;
  z-index: 5;
}
.awardImgContainer {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  border-radius: 0.5vw;
  z-index: -1;
}
.awardCardImg {
  position: absolute;
  width: 100%;
  height: 100.4%;
  top: -0.2%;
  left: 0%;
  filter: blur(1px) brightness(0.7);
  transition: all 0.4s ease-out;
  border-radius: 0.7vw;
  z-index: 0;
  /*
  outline: 1.4vw solid rgb(0, 0, 0);
  outline-offset: -0.4vw; */
}
.holographicOverlay {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1;
  mix-blend-mode: color;
  opacity: 0.5;
}
.awardCardTextAlt {
  position: absolute;
  width: 90%;
  text-align: center;
  font-family: 'Montserrat', sans-serif;
  font-size: 0.8vw;
  color: white;
  top: 26%;
  text-shadow: 0px 0px 1vw black, 0px 0px 0.5vw black, 0px 0px 0.5vw black;
  transform: translateZ(1.5vw);
  user-select: none;
}
.awardCardText {
  position: absolute;
  top: 9.8%;
  font-family: 'Montserrat', sans-serif;
  font-size: 0.9vw;
  color: white;
  z-index: 2;
  text-align: center;
  text-shadow: 0px 0px 1vw black, 0px 0px 0.5vw black, 0px 0px 0.5vw black;
  transform: translateZ(3vw) scale(0.86);
  transition: all 0.5s ease-out;
  user-select: none;
}
.textBackground {
  width: 94%;
  height: 15%;
  top: 4.5%;
  position: absolute;
  z-index: 1;
  border-radius: 0.5vw;
  background-color: rgba(0, 0, 0, 0.562);
  border-style: solid;
  border-width: 0.15vw;
  border-color: rgba(255, 255, 255, 0.74);
  transform: translateZ(1.7vw) scale(0.94);
  box-shadow: 0px 0px 0.5vw 0.1vw rgb(0, 0, 0);
}

#hovermeText {
  position: absolute;
  text-align: center;
  width: 30%;
  font-family: 'Montserrat', sans-serif;
  font-size: 0.8vw;
  color: rgba(255, 255, 255, 0.452);
  text-shadow: 0px 0px 1vw black, 0px 0px 0.5vw black, 0px 0px 0.5vw black;
  left: 73%;
  transform: rotate(90deg);
  top: 48%;
  z-index: 0;
}

#tempCard {
  position: absolute;
  width: 50%;
  height: 70%;
  top: 15%;
  left: 27%;
  background-color: rgba(141, 141, 141, 0.11);
  border-style: dashed;
  border-width: 0.2vw;
  border-color: rgba(255, 255, 255, 0.479);
  border-radius: 0.8vw;
  overflow: hidden;
  display: flex;
  justify-content: center;
  z-index: 0;
  transform: scale(0.95);
  transition: all 0.5s cubic-bezier(.07,.78,.39,1);
}
#tempCardText {
  position: absolute;
  top: 30%;
  font-family: 'Montserrat', sans-serif;
  font-size: 0.9vw;
  color: rgb(255, 255, 255);
  z-index: 1;
  text-align: center;
}


.awardButtonSelected {
  width: 106% !important;
  left: 8% !important;
  background-color: white;
  transition: all 0.6s cubic-bezier(.07,.78,.39,1);
}
.awardButtonSelectedArrow {
  opacity: 1;
  left: 85%;
}


.awardButton:hover > .awardButtonArrow {
  opacity: 1;
  left: 85%;
  transition: all 0.6s cubic-bezier(.07,.78,.39,1);
}
.awardButton:hover {
  width: 90%;
  transition: all 0.6s cubic-bezier(.07,.78,.39,1);
} 

.awardContainer:hover {
  box-shadow: 0px 0px 2vw 0.4vw rgb(255, 255, 255);
}

#tempCard:hover {
  transform: scale(1.05);
  transition: all 0.5s cubic-bezier(.07,.78,.39,1);
}








/* Exhibit gallery CSS ------------------------------------------------------------------------------------------------------------------------------------------ */

#hintText {
  position: absolute;
  z-index: 150;
  top: 90%;
  left: 26%;
  font-family: 'Akira Expanded', sans-serif;
  text-shadow: 0px 0px 1vw black, 0px 0px 0.5vw black, 0px 0px 0.5vw black, 0px 0px 1vw black, 0px 0px 1vw black;
  font-size: 1.3vw;
  color: rgb(255, 255, 255);
}

#exhibitGalContainer {
  position: absolute;
  z-index: 10;
  width: 100%;
  height: 21.8%;
  top: 71%;
  z-index: -30;
  cursor: grab;
}
#exhibitTrack {
  position: absolute;
  z-index: 1;
  width: 300%;
  height: 58%;
  top: 18.5%;
  left: 20%;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: translate(0);
  will-change: transform;
}
#exhibitTrackInner {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  gap: 3%;
  transform: skew(0);
  will-change: transform;
}
#exhibitBorder {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0%;
  z-index: 0;
}

.exhibitImgContainer {
  position: relative;
  width: 15%;
  height: 100%;
  user-select: none;
  border-style: solid;
  border-width: 0.5vw;
  border-color: white;
  border-radius: 0.8vw;
  background-color: rgb(133, 133, 133);
  box-shadow: 0px 1vw 1.6vw rgb(0, 0, 0), 0px -1vw 1.6vw rgb(0, 0, 0), 0px 0px 0.4vw rgba(0, 0, 0, 0.788);
  cursor: pointer;
  will-change: transform;
}
.exhibitImgInner {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 0.6vw;
  overflow: hidden;
}
.exhibitImg {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 0;
  border-radius: 0.55vw;
  transform: scale(2);
  filter: blur(0px) brightness(1) grayscale(0.85);
  transition: all 0.7s cubic-bezier(.1,.8,.24,.99);
}
.exhibitTitle {
  position: absolute;
  width: 100%;
  top: 35%;
  text-align: center;
  font-family: 'Akira Expanded', sans-serif;
  letter-spacing: 2px;
  font-size: 2vw;
  color: white;
  z-index: 50;
  transform-style: preserve-3d;
  text-shadow: 0px 0px 1vw black;
  transform: perspective(1000px) translateZ(7vw) scale(0.75);
  transition: all 0.7s cubic-bezier(.1,.8,.24,.99);
}
.exhibitAltText {
  position: absolute;
  width: 80%;
  left: 10%;
  top: 34%;
  text-align: center;
  font-family: 'Montserrat', sans-serif;
  font-size: 1vw;
  text-wrap: wrap;
  color: rgb(255, 255, 255);
  text-shadow: 0px 0px 0.8vw rgba(255, 255, 255, 0.418);
  z-index: 50;
  transform: perspective(1000px) translateZ(5vw) scale(0.8);

  filter: opacity(0);
  transition: all 0.3s cubic-bezier(.1,.8,.24,.99);
}

.exhibitImgContainer:hover > .exhibitImgInner > .exhibitImg {
  transform: scale(1);
  filter: blur(3px) brightness(0.6) grayscale(0.3);
  transition: all 0.55s cubic-bezier(.05,.84,.2,1);
}
.exhibitImgContainer:hover > .exhibitTitle {
  top: 22%;
  text-shadow: 0px 0px 1.5vw rgba(255, 255, 255, 0.918);
  transition: all 0.6s cubic-bezier(.05,.84,.2,1);
}
.exhibitImgContainer:hover > .exhibitAltText {
  filter: opacity(1);
  transition: all 1.2s cubic-bezier(.1,.8,.24,.99);
}

/* lower grid css */
#lowerGridContainer { 
  position: absolute;
  width: 100%;
  height: 55%;
  top: 45%;
  z-index: 0;
  will-change: transform;
}
#floor{
  width:350%;
  height:100%;
  position:absolute;
  left:-125%;
}
#floorInner{
  position: absolute;
  width:100%;
  height:100%; 
  top: 0%;
  transform: perspective(40px) rotatex(3deg);
  will-change: transform, height, top;
}
#GridLineImg {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 30%;
  user-select: none;
  z-index: -1;
  transform: translate(0) perspective(0);
}

/* upper grid css */
#upperGridContainer { 
  position: absolute;
  width: 100%;
  height: 55%;
  z-index: 0;
}
#celing{
  width:350%;
  height:100%;
  position:absolute;
  left:-125%;
}
#celingInner{
  position: absolute;
  width:100%;
  height:100%;  
  transform: perspective(40px) rotatex(-3deg) scaleY(-1);
  will-change: transform, height;
}
#GridLineImg1 {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 30%;
  user-select: none;
  z-index: -1;
  transform: translate(0) perspective(0);
}

#gridBackgroundImg {
  position: absolute;
  width: 280%;
  height: auto;
  top: 15%;
  z-index: 0;
  opacity: 0;
}

#upperImgDragBlock {
  z-index: 100;
  position: absolute;
  width: 100%;
  height: 100%;
}

#lowerImgDragBlock {
  z-index: 100;
  position: absolute;
  width: 100%;
  height: 100%;
}

/*page 1 ---------------------------------------------------------------------------------------------------- */

#page1 {
  width: 99.2vw;
  height: 104vw;
  position: relative;
  overflow: hidden;
}

.programmingImg {
  position: absolute;
  width: 100%;
  height: auto 100%;
}

#programming0 { /*Frame*/
  z-index: 101;
}
#programming1 { /*Front border*/
  z-index: 8;
  top: -5%;
  will-change: transform;
}
#programming2 { /*Middle border*/
  z-index: 7;
  top: -14%;
  will-change: transform;
}
#programming3 { /*Back border*/
  z-index: 6;
  top: -60%;
  will-change: transform;
}
#programming4 { /*Background*/
  z-index: 5;
  top: -64%;
  will-change: transform;
}
#programming5 {
  z-index: 4;
  top: -60%;
  will-change: transform;
}
#programming6 {
  height: 100%;
  width: 100%;
  z-index: 200;
  mix-blend-mode: screen;
  user-select: none;
  pointer-events: none;
}

/* button link that goes to the EE on chess */
#chessLink {
  position: absolute;
  z-index: 150;
  left: 41.5%;
  top: 73.7%;
  width: 30%;
  height: 15%;
}

/* Page 2 (Youtube section) */

#page2 {
    height: 108vw;
    width: 99.5vw;
    position: relative;
    overflow: hidden;
}

.youtubeImg {
  position: absolute;
  width: 100%;
  height: auto 100%;
}

#youtube0 { /*Frame & about page*/
  z-index: 100; 
}
#youtube1 { /*First and third thumbnail rows*/
  z-index: 19;
  top: -7%;
  will-change: transform;
}
#youtube2 { /*Second and fifth thumbnail rows*/
  z-index: 18;
  top: -12%;
  will-change: transform;
}
#youtube3 { /*middle thumbnail row*/
  z-index: 17;
  top: -55%;
  will-change: transform;
}
#youtube4 { /*banner*/
  z-index: 16;
  top: -65%;
  will-change: transform;
}
#youtube5 { /* video background element/page */
 z-index: 14;
 top: -60%;
 will-change: transform;
}
#youtube6 {
  z-index: 99;
 mix-blend-mode:lighten;
 user-select: none;
 pointer-events: none;
}
#youtube7 {
  height: 100%;
  width: 100%;
  z-index: 200;
  mix-blend-mode: screen;
  user-select: none;
  pointer-events: none;
  transform: scaleY(-1);
}

/* Page 3 (Games) */

#page3 {
  position: relative;
  height: 135vw;
  width: 99vw;
  overflow: hidden;
}

.gamesImg {
  position: absolute;
  width: 100%;
  height: auto;
  /* Top was 430 */
}

#games0 { /*Outter frame & game video frames*/
  z-index: 171;
  user-select: none;
  pointer-events: none;
}
#games1 { /*Forground border & objects*/
  z-index: 29;
  top: -3%;
  will-change: transform;
}
#games2 { /*Background border & objects*/
  z-index: 28;
  top: -56%;
  will-change: transform;
}
#games3 { /*Background element/img*/
  z-index: 13;
  top: -60%;
  will-change: transform;
}
#games4 {
  z-index: 27;
  top: -62.5%;
  will-change: transform;
}
#games5 { /* overlay element */
  z-index: 172;
  mix-blend-mode: screen;
  user-select: none;
  pointer-events: none;
  height: 100%;
}

/* links for downloading (games) */

#ashesLink {
  position: absolute;
  z-index: 151;
  left: 56.15%;
  top: 22.9%;
  width: 30%;
  height: 15%;
}

#sliceLink {
  position: absolute;
  z-index: 151;
  left: 59.4%;
  top: 43.88%;
  width: 30%;
  height: 15%;
}

#riftLink {
  position: absolute;
  z-index: 151;
  left: 61.1%;
  top: 64.3%;
  width: 30%;
  height: 15%;
}



/* Page 4 (Robotics) */

#page4 {
  height: 140vw;
  width: 99.3vw;
  position: relative;
  overflow: hidden;
}

.roboticsImg {
  position: absolute;
  width: 100%;
  height: auto 100%;
}

#robotics0 {
  z-index: 100;
}
#robotics1 {
  z-index: 20;
  top: -6.5%;
  will-change: transform;
}
#robotics2 {
  z-index: 19;
  top: -14%;
  will-change: transform;
}
#robotics3 {
  z-index: 18;
  top: -25%;
  will-change: transform;
}
#robotics4 {
  z-index: 17;
  top: -20%;
  will-change: transform;
}
#robotics5 {
  height: 100%;
  width: 100%;
  z-index: 200;
  mix-blend-mode: screen;
  user-select: none;
  pointer-events: none;
  transform: scaleY(-1);
}


/* Page 5 (Level Design) */

#page5 {
  height: 108vw;
  width: 99.3vw;
  position: relative;
  overflow: hidden;
}

.mappingImg {
  position: absolute;
  width: 100%;
  height: auto 100%;
}

#mapping0 {
  z-index: 102;
}
#mapping1 { /* Blending layer */
  z-index: 150;
  mix-blend-mode: screen;
  width: 100%;
  height: 100%;
  user-select: none;
  pointer-events: none;
}
#mapping2 {
  z-index: 19;
  top: -6%;
  will-change: transform;
}
#mapping3 {
  z-index: 18;
  top: -12%;
  will-change: transform;
}
#mapping4 {
  z-index: 16;
  top: -20%;
  will-change: transform;
}
#mapping5 {
  z-index: 15;
  top: -32%;
  will-change: transform;
}
#mapping6 {
  z-index: 14;
  top: -32%;
  will-change: transform;
}


/* page 6 (Education) */

#page6 {
  height: 135vw;
  width: 99.3vw;
  position: relative;
  overflow: hidden;
}

.notesImg {
  position: absolute;
  width: 100%;
  height: auto 100%;
}

#notes0 {
  z-index: 101;
}
#notes1 {
  z-index: 20;
  top: 12%;
  left: -1.5%;
  will-change: transform;
}
#notes2 {
  z-index: 18;
  top: -6%;
  will-change: transform;
}
#notes3 {
  z-index: 16;
  top: -10%;
  will-change: transform;
}
#notes4 {
  z-index: 14;
  top: -12%;
  will-change: transform;
}
#notes5 {
  z-index: 12;
  top: -12%;
  will-change: transform;
}
#notes6 { /* Blending layer */
  z-index: 250;
  height: 100%;
  width: 100%;
  mix-blend-mode: screen;
  pointer-events: none;
  user-select: none;
  transform: scaleY(-1);
}


/* Obsidian frame (on education & notes page) */
#obsidianContianer {
  position: absolute;
  left: 14%;
  width: 70vw;
  height: 38vw;
  z-index: 150;
  top: 71.5%;
  overflow: hidden;
  outline: 0.2vw solid grey;
  box-shadow: 0px 0px 15px #000000d3;
}

#obsidianScreen {
  position: absolute;
  width: 100%;
  height: auto;
  mix-blend-mode: screen;
  opacity: 0.5;
  pointer-events: none;
}

#obsidianFrame {
  width: 100%;
  height: 100%;
}

/* Lower banner css */

#lowerBanner {
  position: absolute;
  width: 100%;
  height: auto;
  top: 76.8%;
  z-index: 202;
}
#lowerBannerBackground {
  position: absolute;
  width: 100%;
  height:10%;
  top: 94%;
  z-index: 200;
  background-color: #000000;
}

/* Header buttons */

#buttonContainer {
  position: absolute;
  height: 30%;
  width: 100%;
  z-index: 350;
  top: 85%;
  left: -29.5%;
}

.mas {
  position: absolute;
  color: #ffffff;
  text-align: center;
  width: 101%;
  font-family: 'Akira Expanded', sans-serif;
  font-size: 1vw;
  letter-spacing: 0.7px;
  position: absolute;
  margin-top: 0.3vw;
  overflow: hidden;
  font-weight: bold;
}

@-webkit-keyframes ani {
  from {
    -webkit-mask-position: 0 0;
    mask-position: 0 0;
 }
  to {
    -webkit-mask-position: 100% 0;
    mask-position: 100% 0;
 }
}
@keyframes ani {
  from {
    -webkit-mask-position: 0 0;
    mask-position: 0 0;
 }
  to {
    -webkit-mask-position: 100% 0;
    mask-position: 100% 0;
 }
}
@-webkit-keyframes ani2 {
  from {
    -webkit-mask-position: 100% 0;
    mask-position: 100% 0;
 }
  to {
    -webkit-mask-position: 0 0;
    mask-position: 0 0;
 }
}
@keyframes ani2 {
  from {
    -webkit-mask-position: 100% 0;
    mask-position: 100% 0;
 }
  to {
    -webkit-mask-position: 0 0;
    mask-position: 0 0;
 }
}

/* CSS for youtube channel link (on youtube page) */

#youtubeLink {
  position: absolute;
  width: 20%;
  height: 15%;
  top: 39.3%;
  z-index: 200;
  left: 21%;
}

ul {
  list-style: none;
  margin: 0;
}

a {
  float: left;
  position: absolute;
  text-decoration: none;
  font-family: 'Montserrat', sans-serif;
  font-size: 1.3vw;
  letter-spacing: 0.02vw;
  color: #ffd89d;
  transition: all 0.9s cubic-bezier(0,.8,.61,1);
  text-shadow: 0px 0px 15px black;
}

a:hover {
  color: #ffffff;
  transition: all 0.55s cubic-bezier(0,.8,.61,1);
}

a:after {
  content: '';
  display: block;
  position: absolute;
  bottom: 0;
  left: 50%;
  height: 0.1vw;
  width: 0;
  background: transparent;

  transition: all .9s cubic-bezier(0,.8,.61,1);
}

.link:after {
  transition: width .5s cubic-bezier(0,.8,.61,1), background-color .5s cubic-bezier(0,.8,.61,1), left .5s cubic-bezier(0,.8,.61,1);
}

.link:hover:after {
  width: 100%;
  left: 0;
  background: #ffdc9b;
}

/* Youtube players for the games section */ 

#playerContainer {
  position: absolute;
  z-index: 150;
  width: 100%;
  height: 100%;
}

.videoContainer {
  width: 34%;
  height: 12.5%;
  position: absolute;
  overflow: hidden;
  border-style: solid;
  position: absolute;
  border-color: rgb(255, 255, 255);
  border-width: 0.2vw;
} 

.backgroundGlow:after {
  z-index: 151;
}

.player { /*Ashes player */
  top: 13.2%;
  left: 22.3%;
  background-image: url("https://drive.google.com/uc?export=view&id=12firjmB-EtQ9MWTasewK4mPCJpyTDh7W");
  background-size: cover;
}

.player1 { /*Slice player */
  top: 35.1%;
  left: 25.5%;
  background-image: url("https://drive.google.com/uc?export=view&id=18o-bAqPQmGXAVF7cXLdBBfHMLdgf8DEA");
  background-size: cover;
}

.player2 { /* Rift racers player */
  top: 57.5%;
  left: 27.34%;
  background-image: url("https://drive.google.com/uc?export=view&id=18t0_xzwghaVmEnVc14pCm1ZjjOTffcO_");
  background-size: cover;
} 

/* player 3 is the robotics section (chairmans video player) */
.player3 {
  z-index: 150;
  height: 17.26%;
  width: 48.7%;
  top: 69.22%;
  left: 25.8%;
  background-image: url("https://drive.google.com/uc?export=view&id=1aW6l3c9u3JSBOCDSwsiDNciWuNwBh-bz");
  background-size: cover;
}

.videoIcon {
  width: 48px;
  height: 48px;
  position: relative;
  top: 42%;
  margin: auto;
  opacity: 0;
  background: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/1613479/play.svg') center center / cover;
  cursor: pointer;
  z-index: 155;
  transition: opacity 0.54s ease-out;

}

.videoContainer:hover > .videoIcon {
  opacity: 1;
  transition: opacity 0.6s ease-in;
}

.videoIcon:after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  z-index: 155;
  opacity: 1;
  background: #000000;
  transition: all 0.8s ease-out;
}

.videoCard {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: #000;
}
.videoCard iframe {
  width: 100%;
  height: 100%;
}
.backgroundGlow:after {
  content: '';
  width: 250%;
  height: 250%;
  position: absolute;
  top: var(--y);
  left: var(--x);
  transform: translate(-50%, -50%);
  opacity: 0;
  background: radial-gradient(circle closest-side, rgba(255, 255, 255, 0.486), transparent);
  transition: opacity 0.7s ease-out;
}

/* ------------ STATES ------------ */

.videoContainer:hover > .backgroundGlow:after {
  opacity: 1;
  transition: opacity 0.7s ease-in-out;
}

.video-is-open:after {
  display: none;
}
.video-is-open .videoIcon {
  opacity: 1;
}
.video-is-open .videoIcon:after {
  width: 2vh;
  height: 2vh;
  transform: translate(-50%, -50%) scale(88.8888888889);
  transition: transform 0.8s cubic-bezier(.32,.49,.89,-0.74);
}

/* Obsidian notes page link button */
#obsidianLink {
  position: absolute;
  z-index: 250;
  left: 37.9vw;
  top: 102%;
  width: 30%;
  height: 15%;
}

/* Here to prevent flickering */
.js .accordion:nth-child(n+1) { display: none }


/* translate z performance exploit */
.parallax0 {
  transform: translateZ(0);
}
.parallax1 {
  transform: translateZ(0);
}
.parallax2 {
  transform: translateZ(0);
}
.parallax3 {
  transform: translateZ(0);
}
.parallax4 {
  transform: translateZ(0);
}
.parallax5 {
  transform: translateZ(0);
}
.parallax6 {
  transform: translateZ(0);
}


/* Resume css ---------------------------------------------------------------------------------------------------- */

#resumeContainer {
  position: absolute;
  width: 100vw;
  height: 90vw;
  z-index: 600;
  top: 1%;
  pointer-events: none;
  user-select: none;
  opacity: 0;
}
#resumeImg {
  position: absolute;
  width: 60%;
  height: auto;
  top: 6%;
  left: 20%;
  border-style: solid;
  border-radius: 0.4vw;
  border-color: rgb(172, 172, 172);
  box-shadow: 0px 0px 3vw 1vw black, 0px 0px 2vw 1vw black, 0px 0px 1vw black, 0px 0px 5vw black;
  border-width: 0.3vw;
}
#resumeLink {
  position: absolute;
  width: 100%;
  height: 5%;
  top: 98%;
  left: 42%;
}
#resumeLinkText {
  text-shadow: 0px 0px 1vw black, 0px 0px 1vw black, 0px 0px 1vw black, 0px 0px 1vw black, 0px 0px 2vw black, 0px 0px 2vw black;
  font-size: 1.6vw;
}







